# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from QPolaris.modules.processing_provider.polaris_base_algorithm import PolarisProcessingAlgorithm


class ClusterStatusDialog(PolarisProcessingAlgorithm):
    def __init__(self):
        from QPolaris.modules.menu_actions.cluster_status import cluster_status

        super().__init__(
            cluster_status,
            "cluster_status_dialog",
            "Cluster Status",
            "Cluster",
            "cluster",
            "Opens the cluster status dialog.",
            ["cluster", "status", "analysis", "network"],
        )

    def createInstance(self):
        return ClusterStatusDialog()
